# Draw
TKDraw
Draw

# Draw_Segment3D Class Reference

`#include <Draw_Segment3D.hxx>`

Inheritance diagram for Draw_Segment3D:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Segment3D (const gp_Pnt &p1, const gp_Pnt &p2, const Draw_Color &col)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const gp_Pnt & | First () const
Standard_EXPORT void | First (const gp_Pnt &P)
Standard_EXPORT const gp_Pnt & | Last () const
Standard_EXPORT void | Last (const gp_Pnt &P)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | myFirst
gp_Pnt | myLast
Draw_Color | myColor

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Segment3D::Draw_Segment3D | ( | const gp_Pnt & | p1,
|  | const gp_Pnt & | p2,
|  | const Draw_Color & | col
| ) |

## Member Function Documentation

Standard_EXPORT void Draw_Segment3D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT void Draw_Segment3D::First | ( | const gp_Pnt & | P | ) |

Standard_EXPORT const gp_Pnt& Draw_Segment3D::First | ( |  | ) | const

Standard_EXPORT const Draw_Segment3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void Draw_Segment3D::Last | ( | const gp_Pnt & | P | ) |

Standard_EXPORT const gp_Pnt& Draw_Segment3D::Last | ( |  | ) | const

## Field Documentation

Draw_Color Draw_Segment3D::myColor `[private]`

gp_Pnt Draw_Segment3D::myFirst `[private]`

gp_Pnt Draw_Segment3D::myLast `[private]`

The documentation for this class was generated from the following file:

- Draw_Segment3D.hxx